Subject: Re: [PATCH] rev-parse: have --parseopt callers exit 0 on --help

From: Junio C Hamano <[email-masked]>
Date: Tue, 17 Mar 2026 19:45:44 -0700

Jeff King <[email-masked]> writes:

> On Wed, Mar 18, 2026 at 12:24:38AM +0000, brian m. carlson wrote:
>
>> None of these seem like they're likely to care about the exit status and
>> I suspect that if they do, they are probably using `|| true` to ignore
>> the unexpected 129 exit code.
>
> Yeah, I'd venture to say that moving from 129 to 0 would be a strict
> improvement for the cases you outlined.
>
>> So I agree that there's unlikely to be any sort of backward
>> compatibility issues.  If the consensus is that this is shipped only in
>> 3.0, then we can do that, but I think many people are not going to care
>> and those that do will welcome the change, so I'd just rather treat it
>> as a bug that we fix.
>
> Nah, I think everything I have seen points to treating this as a simple
> improvement / fix that we can do in the regular way.

I 100% agree.  The message I earlier wrote (which contained the
mention of Git 3.0) lacked "even" before an "if".